Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KEMRecipientInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.KEMRecipientInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class KEMRecipientInfo
extends ASN1Object

Defined in RFC 9629.

KEMRecipientInfo ::= SEQUENCE { version CMSVersion, -- always set to 0 rid RecipientIdentifier, kem KEMAlgorithmIdentifier, kemct OCTET STRING, kdf KeyDerivationAlgorithmIdentifier, kekLength INTEGER (1..65535), ukm [0] EXPLICIT UserKeyingMaterial OPTIONAL, wrap KeyEncryptionAlgorithmIdentifier, encryptedKey EncryptedKey }

Constructor Summary
`KEMRecipientInfo(RecipientIdentifier rid, AlgorithmIdentifier kem, ASN1OctetString kemct, AlgorithmIdentifier kdf, ASN1Integer kekLength, ASN1OctetString ukm, AlgorithmIdentifier wrap, ASN1OctetString encryptedKey)`

Method Summary
`ASN1OctetString` | `getEncryptedKey()`
`static KEMRecipientInfo` | `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` | `getKdf()`
`AlgorithmIdentifier` | `getKem()`
`ASN1OctetString` | `getKemct()`
`RecipientIdentifier` | `getRecipientIdentifier()`
`byte[]` | `getUkm()`
`AlgorithmIdentifier` | `getWrap()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KEMRecipientInfo

    public KEMRecipientInfo(RecipientIdentifier rid,
                            AlgorithmIdentifier kem,
                            ASN1OctetString kemct,
                            AlgorithmIdentifier kdf,
                            ASN1Integer kekLength,
                            ASN1OctetString ukm,
                            AlgorithmIdentifier wrap,
                            ASN1OctetString encryptedKey)

Method Detail

### getInstance

    public static KEMRecipientInfo getInstance(java.lang.Object o)

### getRecipientIdentifier

    public RecipientIdentifier getRecipientIdentifier()

### getKem

    public AlgorithmIdentifier getKem()

### getKemct

    public ASN1OctetString getKemct()

### getKdf

    public AlgorithmIdentifier getKdf()

### getWrap

    public AlgorithmIdentifier getWrap()

### getUkm

    public byte[] getUkm()

### getEncryptedKey

    public ASN1OctetString getEncryptedKey()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD